import { BASE_URL } from '@/config'

const urlFn = v => BASE_URL + v
// 排班日历表(校区管理员)
const FindCalendarList = urlFn('/api/kmt/arrange/findCalendarList')
// 已选时段老师列表
const FindHaveTeacherList = urlFn('/api/kmt/arrange/findHaveTeacherList')
// 未选时段老师列表(添加老师)
const FindNoHaveTeacherList = urlFn('/api/kmt/arrange/findNoHaveTeacherList')
// 时段移除老师
const DeleteArrangeByTeacher = urlFn('/api/kmt/arrange/deleteArrangeByTeacher')
// 时段添加老师
const AddArrangeByTeacher = urlFn('/api/kmt/arrange/addArrangeByTeacher')
// 组内排班老师列表
const FindTeamTeacherList = urlFn('/api/kmt/arrange/findTeamTeacherList')
// 组内排班老师列表
const TeacherThisMonthDutyList = urlFn('/api/kmt/arrange/teacherThisMonthDutyList')
// 排班设置保存
const SaveSysTeacherDuty = urlFn('/api/kmt/arrange/saveSysTeacherDuty')
// 排班设置接口
const DutyTemplateList = urlFn('/api/kmt/arrange/dutyTemplateList')
//校区群管理员列表（质检员角色查看）
const GetManagerListForChecker = urlFn('/api/kmt/correctSys/getManagerListForChecker')
//校区群管理员列表（质检员角色查看）老师列表
const TeacherListForChecker = urlFn('/api/kmt/correctSys/teacherListForChecker')
//校区群管理员列表（质检员角色查看）查看老师批改完的作业列表
const TeacherHomeworkListForChecker = urlFn('/api/kmt/correctSys/teacherHomeworkListForChecker')
const FindArrangeTemplateIntervalList = urlFn('/api/kmt/arrange/findArrangeTemplateIntervalList')
// 查看所有学生作业列表（不包含已批改）
const StudentHomeworkNoFeedbackList = urlFn('/api/kmt/correctSys/studentHomeworkNoFeedbackList')
//查看作业详情
const StudentHomeworkDetail = urlFn('/api/kmt/correctSys/studentHomeworkDetail')
//
export {
    FindCalendarList,
    FindHaveTeacherList,
    FindNoHaveTeacherList,
    DeleteArrangeByTeacher,
    AddArrangeByTeacher,
    FindTeamTeacherList,
    TeacherThisMonthDutyList,
    SaveSysTeacherDuty,
    DutyTemplateList,
    GetManagerListForChecker,
    TeacherListForChecker,
    TeacherHomeworkListForChecker,
    FindArrangeTemplateIntervalList,
    StudentHomeworkNoFeedbackList,
    StudentHomeworkDetail

}
